Update editable Quote metadata and custom Fields
Updates only editable DRAFT/PENDING_APPROVAL Quote metadata and customFields. Post-send Quotes are immutable through this generic PATCH. ownerId and quoteTypeId are not writable here.
Updates only editable DRAFT/PENDING_APPROVAL Quote metadata and customFields. Post-send Quotes are immutable through this generic PATCH. ownerId and quoteTypeId are not writable here.
Organization API key. Format: Bearer sk_live_...
In: header
Path Parameters
Quote identifier returned by the Organization API.
Request Body
application/json
JSON request payload for updateDraftQuote.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/quotes/string" \ -H "Content-Type: application/json" \ -d '{ "name": "8.4 kW solar and storage proposal" }'{ "data": {}, "meta": { "requestId": "string", "version": "v1", "timestamp": "2019-08-24T14:15:22Z", "rateLimit": { "limit": 0, "remaining": 0, "reset": 0 } }}